# PVideoInteractionInfo Class Reference

This class defines a video Input device Interactions (Remote Inputs/Controls). More...

`#include <videoio.h>`

Inheritance diagram for PVideoInteractionInfo:

List of all members.

## Public Types

| InteractKey
| InteractMouse
| Register remote KeyPresses.
| InteractNavigate
| Register remote Mouse Movement Clicks.
| InteractRTSP
| Register remote Navigation commands.
| InteractOther
| Register remote application specific Inputs.
enum | InputInteractType { InteractKey, InteractMouse, InteractNavigate, InteractRTSP, InteractOther }

## Static Public Member Functions

static PString | AsString (const InputInteractType &type)

## Public Attributes

InputInteractType | type

## Detailed Description

This class defines a video Input device Interactions (Remote Inputs/Controls).

## Member Enumeration Documentation

enum PVideoInteractionInfo::InputInteractType

Enumerator:

  InteractKey |
  InteractMouse | Register remote KeyPresses.
  InteractNavigate | Register remote Mouse Movement Clicks.
  InteractRTSP | Register remote Navigation commands.
  InteractOther | Register remote application specific Inputs.

## Member Function Documentation

static PString PVideoInteractionInfo::AsString | ( | const InputInteractType & | type | ) | `[static]`

## Member Data Documentation

InputInteractType PVideoInteractionInfo::type

The documentation for this class was generated from the following file:

- videoio.h